Subject: Re: bug#30350: 27.0.50; Newest master can't run processes on macOS

From: Paul Eggert <[email-masked]>
Date: Tue, 6 Feb 2018 15:38:16 -0800

On 02/05/2018 04:43 PM, Philipp Stephani wrote:
> Maybe that bug was once present, and has been fixed since then?
> I've noticed that REPLACE_FACCESSAT is 1, so configure thinks that 
> faccessat is broken. Apparently faccessat.m4 checks for the behavior 
> of lstat, not faccessat.

My impression is that the Gnulib manual section was written at the same 
time as the REPLACE_FACCESSAT stuff. The code assumes that faccessat is 
broken only if lstat is broken is a similar way. My guess is that this 
new behavior (whatever it is) is a somewhat-different bug.